<?php
/**
 * @package Iyosis Piwik for Joomla! 1.5
 * @author Remzi Degirmencioglu
 * @copyright (C) 2011 www.iyosis.com
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' ); ?>

<link rel="stylesheet" type="text/css" href="<?php echo (JURI::base() . 'components' . DS . 'com_iyosispiwik' . DS . 'css' . DS); ?>iyosispiwik.css" />
<table width="100%">
	<tbody>
		<tr>
			<td width="200px"><?php include (JPATH_COMPONENT_ADMINISTRATOR . DS . 'iyosismenu.php'); ?></td>
			<td>
			<form action="index.php" method="post" name="adminForm" id="adminForm">
			<div class="col100">
				<fieldset class="adminform">
				<legend><?php echo JText::_( 'General Configuration' ); ?></legend>
				<table class="admintable">
				<tr>
				    <td align="right" class="key">
					<label for="method">
					    <?php echo JText::_( 'Authentication Method' ); ?>:
					</label>
				    </td>
				    <td>
					<select class="inputbox" name="method" id="method">
						<option <?php if ($this->items->method == "token_auth") echo "selected=\"selected\"";?> value="token_auth">Token Authentication (Recommended)</option>
						<option <?php if ($this->items->method == "auto_login") echo "selected=\"selected\"";?> value="auto_login">Automatic Login (iframe)</option>
						<option <?php if ($this->items->method == "public_view") echo "selected=\"selected\"";?> value="public_view">Public View (iframe)</option>
					</select>
				    </td>
				    <td>
					<span>Note none of these authentication methods doesn't work for the Super User.<br/>We recommend that you create a new User and give it 'view' access to the website you wish to embed.<br/><br/><b>Token Authentication</b><br/>Copy the 'token_auth' from the Manage Users page, and paste it in the field below.<br/><br/><b>Automatic Login</b><br/>This will log the user (create a cookie in your browser) and redirect to the index.php on succesful login. Enter your username and MD5 password in the fields below.<br/><br/><b>Public View</b><br/>Set the 'view' permissions to the anonymous user in the Users Management section of Piwik (see <a taget="_blank" href="http://piwik.org/docs/manage-users/">Manage Users documentation</a>).</span>
				    </td>
				</tr>
				<tr>
				    <td align="right" class="key">
					<label for="httpURL">
					    <?php echo JText::_( 'Piwik URL' ); ?>:
					</label>
				    </td>
				    <td>
					<input class="text_area" type="text" name="httpURL" id="httpURL" size="32" maxlength="1000" value="<?php echo $this->items->httpURL;?>" />
				    </td>
				    <td>
					<span>Insert the URL to your Piwik installation here. http://www.example.com/piwik/ IMPORTANT! Do NOT forget the trailing slash (/) in the URL</span>
				    </td>
				</tr>
			    </table>
			    </fieldset>
			    <fieldset class="adminform">
				<legend><?php echo JText::_( 'Data for token authentication method' ); ?></legend>
				<table class="admintable">
				<tr>
				    <td align="right" class="key">
					<label for="idsite">
					    <?php echo JText::_( 'Site ID' ); ?>:
					</label>
				    </td>
				    <td>
					<input class="text_area" type="text" name="idsite" id="idsite" size="7" maxlength="1000" value="<?php echo $this->items->idsite;?>" />
				    </td>
				    <td>
					<span>This is the Piwik Site ID. Check your Piwik settings to find out wich Site ID to use</span>
				    </td>
				</tr>
				<tr>
				    <td align="right" class="key">
					<label for="period">
					    <?php echo JText::_( 'Period' ); ?>:
					</label>
				    </td>
				    <td>
					<select class="inputbox" name="period" id="period">
						<option <?php if ($this->items->period == "day") echo "selected=\"selected\"";?> value="day">day</option>
						<option <?php if ($this->items->period == "week") echo "selected=\"selected\"";?> value="week">week</option>
						<option <?php if ($this->items->period == "month") echo "selected=\"selected\"";?> value="month">month</option>
						<option <?php if ($this->items->period == "year") echo "selected=\"selected\"";?> value="year">year</option>
					</select>
				    </td>
				    <td>
					 <span>day, week, month, or year</span>
				    </td>
				</tr>
				<tr>
				    <td align="right" class="key">
					<label for="date">
					    <?php echo JText::_( 'Date' ); ?>:
					</label>
				    </td>
				    <td>
					<select class="inputbox" name="date" id="date">
						<option <?php if ($this->items->date == "today") echo "selected=\"selected\"";?> value="today">today</option>
						<option <?php if ($this->items->date == "yesterday") echo "selected=\"selected\"";?> value="yesterday">yesterday</option>
						<!--<option <?php if ($this->items->date == "last30") echo "selected=\"selected\"";?> value="last30">last30</option>-->
					</select>
				    </td>
				    <td>
					<span>today or yesterday</span>
				    </td>
				</tr>
				<tr>
				    <td align="right" class="key">
					<label for="token_auth">
					    <?php echo JText::_( 'token_auth' ); ?>:
					</label>
				    </td>
				    <td>
					<input class="text_area" type="text" name="token_auth" id="token_auth" size="32" maxlength="1000" value="<?php echo $this->items->token_auth;?>" />
				    </td>
				    <td>
					<span>token_auth code (see <a taget="_blank" href="http://piwik.org/docs/manage-users/">Manage Users documentation</a>).</span>
				    </td>
				</tr>
			    </table>
			    </fieldset>
			    <fieldset class="adminform">
				<legend><?php echo JText::_( 'Data for automatic login' ); ?></legend>
				<table class="admintable">
				<tr>
				    <td align="right" class="key">
					<label for="username">
					    <?php echo JText::_( 'Username' ); ?>:
					</label>
				    </td>
				    <td>
					<input class="text_area" type="text" name="username" id="username" size="32" maxlength="1000" value="<?php echo $this->items->username;?>" />
				    </td>
				    <td>
					<span>Username</span>
				    </td>
				</tr>
				<tr>
				    <td align="right" class="key">
					<label for="password">
					    <?php echo JText::_( 'MD5 Password' ); ?>:
					</label>
				    </td>
				    <td>
					<input class="text_area" type="text" name="password" id="password" size="32" maxlength="1000" value="<?php echo $this->items->password;?>" />
				    </td>
				    <td>
					 <span>Your password in MD5 format. <a target="_blank" href="http://www.google.com/search?hl=en&source=hp&biw=1042&bih=619&q=md5+generator&aq=1&aqi=g10&aql=&oq=md5+">Generate MD5 password.</a></span>
				    </td>
				</tr>
			    </table>
			    </fieldset>
			</div>
			 
			<div class="clr"></div>
			 
			<input type="hidden" name="option" value="com_iyosispiwik" />
			<input type="hidden" name="id" value="<?php echo $this->items->id; ?>" />
			<input type="hidden" name="task" value="" />
			<input type="hidden" name="controller" value="config" />
			 
			</form>
			</td>
		</tr>
	</tbody>
</table>
